%define module  django-keyedcache3

Name:           python-%{module}
Version:        1.5.3
Release:        %mkrel 9
Summary:        Utilities for simplified development of cache aware objects
Group:          Development/Python
License:        BSD
URL:            https://github.com/kunaldeo/django-keyedcache3
Source0:        https://pypi.python.org/packages/source/d/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)

%description
Django Keyedcache provides utilities and class mixins for simplified
development of cache-aware objects.

%package -n python3-%{module}
Summary:        Utilities for simplified development of cache aware objects
Group:          Development/Python
Provides:       python3-django-keyedcache = %{version}-%{release}

%description -n python3-%{module}
Django Keyedcache provides utilities and class mixins for simplified
development of cache-aware objects.

%prep
%setup -q -n %{module}-%{version}

# drop bundled egg-info
rm -rf django_keyedcache3.egg-info/

%build
%py3_build

%install
%py3_install

# Language files; not under /usr/share, need to be handled manually
(cd %{buildroot} && find . -name 'django.?o') | sed -e 's|^.||' | sed -e \
  's:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -n python3-%{module} -f %{name}.lang
%dir %{python3_sitelib}/keyedcache/
%{python3_sitelib}/keyedcache/__pycache__/
%{python3_sitelib}/keyedcache/templates/
%{python3_sitelib}/keyedcache/*.py
%{python3_sitelib}/django_keyedcache3-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.5.3-9.mga10
+ Revision: 2240890
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.5.3-8.mga10
+ Revision: 2158121
- rebuild for python3.13

* Mon Dec 18 2023 papoteur <papoteur> 1.5.3-7.mga10
+ Revision: 2019038
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.5.3-6.mga9
+ Revision: 1823864
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.5.3-5.mga9
+ Revision: 1785100
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.5.3-4.mga9
+ Revision: 1733132
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.5.3-3.mga8
+ Revision: 1535884
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 1.5.3-2.mga8
+ Revision: 1452946
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 1.5.3-1.mga8
+ Revision: 1430967
- new version 1.5.3
- switch to python3 port

* Wed Sep 19 2018 umeabot <umeabot> 1.5.1-8.mga7
+ Revision: 1274576
- Mageia 7 Mass Rebuild

* Fri Feb 19 2016 umeabot <umeabot> 1.5.1-7.mga6
+ Revision: 970489
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 1.5.1-6.mga6
+ Revision: 886886
- use new python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-5.mga5
+ Revision: 739146
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5.1-4.mga5
+ Revision: 728286
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.1-3.mga5
+ Revision: 687982
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Apr 25 2014 daviddavid <daviddavid> 1.5.1-1.mga5
+ Revision: 617931
- update URL
- remove unneeded BRs on python-devel and gettext
- remove unneeded Requires on python-django (available on setup file)
- update files list
- update doc files
- minor cosmetic change
- new version: 1.5.1

* Tue Oct 22 2013 umeabot <umeabot> 1.4.6-3.mga4
+ Revision: 543336
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.6-2.mga4
+ Revision: 498372
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Jun 03 2013 kharec <kharec> 1.4.6-1.mga4
+ Revision: 436225
- update to 1.4-6
- update spec file to new folder architecture

* Mon Feb 04 2013 pterjan <pterjan> 1.4.1-4.mga3
+ Revision: 394581
- Fix specfile name
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Apr 26 2011 philippem <philippem> 1.4.1-3.mga1
+ Revision: 91788
+ rebuild (emptylog)

* Tue Apr 26 2011 misc <misc> 1.4.1-2.mga1
+ Revision: 91726
- Fix Group
- rename the rpm, and fix the adaptation to mageia
- rename the package
- imported package django-keyedcache

